# Class HealpixSys

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.HealpixSys

public class HealpixSys extends Object
Maps between plotting (`SkySys`) and Healpix (`HealpixTableInfo.HpxCoordSys`) coordinate system identifiers.

Since:
  10 Dec 2018
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`HealpixSys()`

## Method Summary

Modifier and Type
Method
Description
`static uk.ac.starlink.table.HealpixTableInfo.HpxCoordSys`
`fromGeom(SkySys skySys)`
Returns the Healpix sky coordinate system corresponding to a plotting sky coordinate system.
`static SkySys`
`toGeom(uk.ac.starlink.table.HealpixTableInfo.HpxCoordSys csys)`
Returns the plotting sky coordinate system corresponding to a Healpix sky coordinate system.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HealpixSys

public HealpixSys()

## Method Details

### toGeom

public static SkySys toGeom(uk.ac.starlink.table.HealpixTableInfo.HpxCoordSys csys)
Returns the plotting sky coordinate system corresponding to a Healpix sky coordinate system. Best efforts.

Parameters:
  `csys` - healpix sky coordinate system identifier
Returns:
  corresponding plotting sky system, or null if no correspondence is known

### fromGeom

public static uk.ac.starlink.table.HealpixTableInfo.HpxCoordSys fromGeom(SkySys skySys)
Returns the Healpix sky coordinate system corresponding to a plotting sky coordinate system. Best efforts.

Parameters:
  `skySys` - plotting sky coordinate system identifier
Returns:
  corresponding healpix system, or null if no correspondence is known